## edu.cwru.SimpleRTS.Log
Class ResourceExhaustionLog

    java.lang.Object
      edu.cwru.SimpleRTS.Log.ResourceExhaustionLog

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceExhaustionLog

extends java.lang.Object
implements java.io.Serializable

A read only class that represents the exhaustion of a resource node

Author:
  The Condor
See Also:
  Serialized Form

Constructor Summary
`ResourceExhaustionLog(int exhaustednodeid, ResourceNode.Type resoucenodetype)`

Method Summary
`int` `getExhaustedNodeID()`
`ResourceNode.Type` `getResourceNodeType()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceExhaustionLog

    public ResourceExhaustionLog(int exhaustednodeid,
                                 ResourceNode.Type resoucenodetype)

Method Detail

### getExhaustedNodeID

    public int getExhaustedNodeID()

### getResourceNodeType

    public ResourceNode.Type getResourceNodeType()